Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### curveDetail()

Examples

    void setup() {
      size(100, 100, P3D);
      noFill();
      noLoop();
    }

    void draw() {
      curveDetail(1);
      drawCurves(-15);
      stroke(126);
      curveDetail(2);
      drawCurves(0);
      stroke(255);
      curveDetail(4);
      drawCurves(15);
    }

    void drawCurves(float y) {
      curve( 5, 28+y,  5, 28+y, 73, 26+y, 73, 63+y);
      curve( 5, 28+y, 73, 26+y, 73, 63+y, 15, 67+y);
      curve(73, 26+y, 73, 63+y, 15, 67+y, 15, 67+y);
    }

Description | Sets the resolution at which curves display. The default value is 20. This function is only useful when using the P3D or OPENGL renderer as the default (JAVA2D) renderer does not use this information.

Syntax

    curveDetail(detail)

Parameters

detail | int: resolution of the curves

Returns | None
Usage | Web & Application
Related | curve() curveVertex() curveTightness()

Updated on August 30, 2010 04:29:39pm EDT